FruxonDocs
ApiWorkflows

Updates Workflow metadata.

Patches top-level Workflow metadata (display name, description, tags, avatar). This does not touch the flow graph or any revision — to change executable behavior, edit the draft revision and redeploy. Returns 404 if the Workflow has been deleted.

PUT
/v1/tenants/{tenant}/workflows/{workflow}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

workflow*string

The unique identifier of the Workflow to update.

tenant*string

The tenant identifier

The Workflow metadata to change.

displayName?string|null
description?string|null
avatarFileId?string|null
tags?|null
[key: string]?never

Response Body

curl -X PUT "https://api.fruxon.com/v1/tenants/string/workflows/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "displayName": "string",
  "description": "string",
  "avatarFileId": "string",
  "tags": [
    "string"
  ],
  "enabled": false,
  "currentRevision": 0,
  "createdAt": 0,
  "modifiedAt": 0,
  "deletedAt": 0,
  "summary": {
    "executableStepCount": 0,
    "referencedAgentCount": 0,
    "connections": {
      "collection": 0,
      "schedule": 0,
      "event": 0,
      "webhook": 0,
      "total": 0
    },
    "latestRun": {
      "startedAt": 0,
      "endedAt": 0,
      "status": "IN_PROGRESS"
    },
    "hasRecentFailure": false
  }
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}